Package com.google.android.exoplayer2.ext.mediasession

## Class TimelineQueueEditor.MediaIdEqualityChecker

- java.lang.Object
- - com.google.android.exoplayer2.ext.mediasession.TimelineQueueEditor.MediaIdEqualityChecker

- Enclosing class:
    TimelineQueueEditor

      public static final class TimelineQueueEditor.MediaIdEqualityChecker
      extends Object

  Media description comparator comparing the media IDs. Media IDs are considered equals if both are `null`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaIdEqualityChecker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(android.support.v4.media.MediaDescriptionCompat d1, android.support.v4.media.MediaDescriptionCompat d2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaIdEqualityChecker

          public MediaIdEqualityChecker()

  - ### Method Detail

    - #### equals

          public boolean equals​(android.support.v4.media.MediaDescriptionCompat d1,
                                android.support.v4.media.MediaDescriptionCompat d2)